{% extends 'base.html'%}
{% load static %}
{% load crispy_forms_tags %}
{% load kegiatan_extras %}
{% block title %}Kegiatan{% endblock %}
{% block content %}
<br><br><br>
    <div class = "container">
        {% if messages %}
            {% for message in messages %}
            <div class = "alert alert-success alert-dismissible fade" role="alert">
                <span type="button" class="close" data-dismiss="alert" aria-label="close">&times;</span>
                {{message}}
            </div>
            {% endfor %}
        {% endif %}
    </div>
    <div class = "container">
        <p id = "title" class="tulisankiri">
            Hai!
        </p>
        <br>
        <p id="text" class="tulisankiri">
            berikut daftar kegiatan yang sudah dibuat!
            <br>
            jika ingin menambah kegiatan silahkan isi form dibawah lalu klik tambah
            <br>
            jika ingin menambah peserta silahkan klik tombol tambah peserta sesuai kegiatannya
        </p>
    </div>
    <div class = "container">
        <form action="{% url 'kegiatan:tambahkegiatan' %}" method = "POST">
            {% csrf_token %}
            <div class = "row">
                <div class = "col">
                    <p id = "text" class="tulisankiri" >Tambah Kegiatan {{form_kegiatan.judul|as_crispy_field}} </p> 
                    <button type="submit" class = 'btn btn-primary'> Tambah </button>
                </div>
            </div>
        </form>
    </div>
    <div class = "container">
        <div class = "row">
            {% for kegiatan in kegiatan %}
            <div class="col-3 py-4">
                <div class ="card h-100">
                    <div class = "card-body">
                        <h5 class = "card-title text-align-center">
                            {{kegiatan.judul}}
                        </h5>
                        <div class = "scrollable">
                            <p class ="card-text">
                                {% with list_peserta|peserta_kegiatan:kegiatan as nama_peserta %}
                                {% if nama_peserta%}
                                {% for peserta in nama_peserta %}
                                &bull; {{peserta}} <br>
                                {% endfor %}
                                {% else %}
                                Tidak ada peserta
                                {% endif %}
                                {% endwith %}
                            </p>
                        </div>
                    
                        <form action ="{% url 'kegiatan:tambahpeserta' slug=kegiatan.id %}" method="POST">
                            {% csrf_token %}
                            {{form_peserta.nama|as_crispy_field}}
                            <button type="submit" class = 'btn btn-primary'> Tambah Peserta </button>
                        </form>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}